#
# Conditional build:
%bcond_without	tests	# check target
#
Summary:	xkbcommon library - keymap compiler and support library
Summary(pl.UTF-8):	Biblioteka xkbcommon - kompilatora i obsługi map klawiszy
Name:		xorg-lib-libxkbcommon
Version:	0.8.0
Release:	1
License:	MIT
Group:		X11/Libraries
Source0:	https://xkbcommon.org/download/libxkbcommon-%{version}.tar.xz
# Source0-md5:	7d0e4c4a137d0ac45bf6b328c84c3a81
URL:		https://xkbcommon.org/
BuildRequires:	autoconf >= 2.62
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	doxygen
BuildRequires:	flex
BuildRequires:	libtool >= 2:2.0
BuildRequires:	libxcb-devel >= 1.10
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-proto-kbproto-devel >= 1.0.4
BuildRequires:	xorg-proto-xproto-devel
BuildRequires:	xorg-util-util-macros >= 1.16
BuildRequires:	xz
%if %{with tests}
# wayland-client, wayland-scanner
BuildRequires:	wayland-devel >= 1.2
BuildRequires:	wayland-protocols >= 1.0
BuildRequires:	xorg-app-xkbcomp
BuildRequires:	xorg-xserver-Xvfb
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libxkbcommon is a keymap compiler and support library which processes
a reduced subset of keymaps as defined by the XKB specification.

%description -l pl.UTF-8
libxkbcommon to biblioteka kompilatora i obsługi map klawiszy,
przetwarzająca ograniczony podzbiór map klawiszy zdefiniowanych w
specyfikacji XKB.

%package devel
Summary:	Header files for libxkbcommon library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libxkbcommon
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the header files needed to develop programs that
use libxkbcommon.

%description devel -l pl.UTF-8
Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libxkbcommon.

%package static
Summary:	Static libxkbcommon library
Summary(pl.UTF-8):	Biblioteka statyczna libxkbcommon
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains the static libxkbcommon library.

%description static -l pl.UTF-8
Pakiet zawiera statyczną bibliotekę libxkbcommon.

%package x11
Summary:	X11 support for XKB library
Summary(pl.UTF-8):	Obsługa X11 dla biblioteki XKB
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libxcb >= 1.10

%description x11
X11 support for XKB library.

%description x11 -l pl.UTF-8
Obsługa X11 dla biblioteki XKB.

%package x11-devel
Summary:	Header file for libxkbcommon-x11 library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki libxkbcommon-x11
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-x11 = %{version}-%{release}
Requires:	libxcb-devel >= 1.10

%description x11-devel
Header file for libxkbcommon-x11 library.

%description x11-devel -l pl.UTF-8
Plik nagłówkowy biblioteki libxkbcommon-x11.

%package x11-static
Summary:	Static libxkbcommon-x11 library
Summary(pl.UTF-8):	Statyczna biblioteka libxkbcommon-x11
Group:		X11/Development/Libraries
Requires:	%{name}-x11-devel = %{version}-%{release}

%description x11-static
Static libxkbcommon-x11 library.

%description x11-static -l pl.UTF-8
Statyczna biblioteka libxkbcommon-x11.

%package apidocs
Summary:	API documentation for libxkbcommon libraries
Summary(pl.UTF-8):	Dokumentacja API bibliotek libxkbcommon
Group:		Documentation
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
API documentation for libxkbcommon libraries.

%description apidocs -l pl.UTF-8
Dokumentacja API bibliotek libxkbcommon.

%prep
%setup -q -n libxkbcommon-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%if %{with tests}
%{__make} check
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libxkbcommon*.la
# packaged as %doc in -apidocs
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/libxkbcommon

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post	x11 -p /sbin/ldconfig
%postun x11 -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE NEWS README.md
%attr(755,root,root) %{_libdir}/libxkbcommon.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxkbcommon.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxkbcommon.so
%dir %{_includedir}/xkbcommon
%{_includedir}/xkbcommon/xkbcommon.h
%{_includedir}/xkbcommon/xkbcommon-compat.h
%{_includedir}/xkbcommon/xkbcommon-compose.h
%{_includedir}/xkbcommon/xkbcommon-keysyms.h
%{_includedir}/xkbcommon/xkbcommon-names.h
%{_pkgconfigdir}/xkbcommon.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libxkbcommon.a

%files x11
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxkbcommon-x11.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxkbcommon-x11.so.0

%files x11-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxkbcommon-x11.so
%{_includedir}/xkbcommon/xkbcommon-x11.h
%{_pkgconfigdir}/xkbcommon-x11.pc

%files x11-static
%defattr(644,root,root,755)
%{_libdir}/libxkbcommon-x11.a

%files apidocs
%defattr(644,root,root,755)
%doc doc/html/*
%changelog
* Sun Dec 17 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-lib-libxkbcommon.git;a=log;h=master

* Sun Dec 17 2017 Jakub Bogusz <qboosh@pld-linux.org> d68dc35
- updated to 0.8.0

* Thu Oct 26 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> fa300b5
- up to 0.7.2

* Tue Apr 11 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 5be598d
- up to 0.7.1

* Sat Jan 14 2017 Jakub Bogusz <qboosh@pld-linux.org> 8a78122
- updated to 0.7.0
- run tests

* Thu Jul 02 2015 Elan Ruusamäe <glen@delfi.ee> a2323eb
- noarch apidocs

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 188112c
- x32 rebuild
- release 2 (by relup.sh)

* Sun Oct 19 2014 Jakub Bogusz <qboosh@pld-linux.org> d38015c
- updated to 0.5.0

* Sun Aug 31 2014 Jakub Bogusz <qboosh@pld-linux.org> df0438d
- updated to 0.4.3

* Thu May 15 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 6f767f4
- up to 0.4.2

* Sun Mar 30 2014 Jakub Bogusz <qboosh@pld-linux.org> c17367c
- updated to 0.4.1

* Tue Feb 04 2014 Jakub Bogusz <qboosh@pld-linux.org> 8415466
- updated to 0.4.0; added -x11* subpackages

* Sun Nov 24 2013 Jakub Bogusz <qboosh@pld-linux.org> e68e340
- updated to 0.3.2

* Tue Jun 04 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> e720128
- up to 0.3.1

* Tue Apr 16 2013 Jakub Bogusz <qboosh@pld-linux.org> ee50463
- updated to 0.3.0

* Thu Oct 25 2012 Jakub Bogusz <qboosh@pld-linux.org> 2f7b074
- package ChangeLog and TODO, check-files cleanup, updated BRs

* Thu Oct 25 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 078cae6
- up to 0.2.0

* Sun Oct 07 2012 Jakub Bogusz <qboosh@pld-linux.org> b1e6165
- cleanup

* Wed Aug 01 2012 Jakub Bogusz <qboosh@pld-linux.org> 3c06e5a
- new (snapshot as there was no release yet)

